# Class MockMailboxPayload

#### Hierarchy

- unknown
  - MockMailboxPayload

- Defined in src/protobuf/pb_pb.d.ts:7647
- Defined in src/protobuf/pb_pb.d.ts:7667

#####
Index

### Constructors

constructor

### Methods

clearSenderNodeAddress
getMessage
getSenderNodeAddress
getUid
hasSenderNodeAddress
serializeBinary
setMessage
setSenderNodeAddress
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MockMailboxPayload(): MockMailboxPayload

- #### Returns MockMailboxPayload

  Inherited from jspb.Message.constructor

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MockMailboxPayload

- #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7654

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7648

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:7651

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7656

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7653

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7659

### setMessage

- setMessage(value: string): MockMailboxPayload

- #### Parameters

  - ##### value: string

  #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7649

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): MockMailboxPayload

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7652

### setUid

- setUid(value: string): MockMailboxPayload

- #### Parameters

  - ##### value: string

  #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7657

### toObject

- toObject(includeInstance?: boolean): MockMailboxPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MockMailboxPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7660

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MockMailboxPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7663

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MockMailboxPayload, reader: BinaryReader): MockMailboxPayload

- #### Parameters

  - ##### message: MockMailboxPayload

  - ##### reader: BinaryReader

  #### Returns MockMailboxPayload

  - Defined in src/protobuf/pb_pb.d.ts:7664

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MockMailboxPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MockMailboxPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7662

### `Static` toObject

- toObject(includeInstance: boolean, msg: MockMailboxPayload): MockMailboxPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MockMailboxPayload

  #### Returns MockMailboxPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7661

Generated using TypeDoc